<?php

namespace Rtg\RtgGoogleMaps;

use TYPO3\CMS\Core\Utility\ExtensionManagementUtility;
use TYPO3\CMS\Extbase\Utility\LocalizationUtility;

/***************************************************************
 *
 *  Copyright notice
 *
 *  (c) 2016 Robert Gonda <robert.gonda@gmail.com>, BSP Magnetica, s.r.o.
 *
 *  All rights reserved
 *
 *  This script is part of the TYPO3 project. The TYPO3 project is
 *  free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 3 of the License, or
 *  (at your option) any later version.
 *
 *  The GNU General Public License can be found at
 *  http://www.gnu.org/copyleft/gpl.html.
 *
 *  This script is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  This copyright notice MUST APPEAR in all copies of the script!
 ***************************************************************/

/**
 * Wizicon for New Content Element Wizzard
 *
 */
class Wizicon {

	/**
	 * Processing the wizard items array
	 *
	 * @param    array $wizardItems : The wizard items
	 *
	 * @return    array Modified array with wizard items
	 */
	public function proc($wizardItems) {

		$wizardItems['plugins_tx_rtggooglemaps_map'] = array(
			'icon'			=> ExtensionManagementUtility::extRelPath('core').'Resources/Public/Icons/T3Icons/content/content-plugin.svg',
			'title'			=> LocalizationUtility::translate('wizard_title', 'rtg_google_maps'),
			'description'	=> LocalizationUtility::translate('wizard_description', 'rtg_google_maps'),
			'params'		=> '&defVals[tt_content][CType]=list&defVals[tt_content][list_type]=rtggooglemaps_map'
		);
		return $wizardItems;
	}
}